       TITLE 'APPLICATION REGION SERVER STUB'
      *****************************************************************
      *                                                               *
      * MODULE NAME = IJMRSERV                                        *
      *                                                               *
      * DESCRIPTIVE NAME = A CICS AOR SERVER STUB                     *
      *                                                               *
      * STATUS = SUPPORTED BY CICS TRANSACTION SERVER 1.3 OR LATER    *
      *                                                               *
      *---------------------------------------------------------------*
      *                                                               *
      * CHANGE ACTIVITY :                                             *
      *                                                               *
      * 210202  IJM   : Created                                       *
      *                                                               *
      *---------------------------------------------------------------*
      *****************************************************************
      *             PROGRAM DESCRIPTION                               *
      *****************************************************************
      *                                                               *
      * ...                                                           *
      *****************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID.  IJMRSERV.
      *
       AUTHOR.      IBM.
      *
       DATE-COMPILED.
      *
      *REMARKS.
      *****************************************************************
      *                                                               *
      *                                                               *
      *****************************************************************
      *
       ENVIRONMENT DIVISION.
      *
       CONFIGURATION SECTION.
      *
       SPECIAL-NAMES.
      *
       DATA DIVISION.

       WORKING-STORAGE SECTION.

       01  WS-START                        PIC X(44)
           VALUE '*** IJMRSERV WORKING STORAGE STARTS HERE ***'.

       COPY IJMRCON.

      *
       LINKAGE SECTION.
      *
       01  IJMRSERV-COMMAREA REDEFINES DFHCOMMAREA.
           03 ROOTID-VALUE                 PIC X(52).
      *
       PROCEDURE DIVISION.

      ******************************************************************
      *BEGIN-PROCESS                                                   *
      ******************************************************************
       BEGIN-PROCESS.

      * ACQUIRE THE ROOT ACTIVITY OF THE PROCESS

           EXEC CICS ACQUIRE ACTIVITYID(ROOTID-VALUE)
           END-EXEC.

      * EXECUTE THE SECOND PHASE OF THE PROCESS HERE IN THE AOR

           EXEC CICS LINK ACQPROCESS
                     INPUTEVENT(PHASE2)
           END-EXEC.

      ******************************************************************
      *DUMMY-GOBACK                                                    *
      *BECAUSE SOME COMPILERS NEED IT                                  *
      ******************************************************************
       DUMMY-GOBACK.
            GOBACK.
      *
